Convert to web extension

Bug #1711778 reported by est31 on 2017-08-19
104
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Ubufox Extension
Undecided
Unassigned
ubufox (Ubuntu)
Undecided
Unassigned

Bug Description

Firefox 57 and later will only allow to load web extensions [1][2]. This add on is currently a legacy extension, and Firefox will refuse to load it starting with Version 57. Therefore, this extension needs to be ported [3].

Current nightlies of Firefox already only accept to load WebExtensions [4].

[1]: https://blog.mozilla.org/addons/2016/11/23/add-ons-in-2017/
[2]: https://bugzilla.mozilla.org/show_bug.cgi?id=1336576
[3]: https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Porting_a_legacy_Firefox_add-on
[4]: https://bugzilla.mozilla.org/show_bug.cgi?id=1388946

drwt (6lobe) on 2017-08-19
Changed in ubufox:
status: New → Confirmed
Changed in ubufox (Ubuntu):
status: New → Confirmed
Norbert (nrbrtx) wrote :

Two options here - make official Firefox ESR package (see bug 1676164) or convert xul-ext-ubufox to WebExtension.

tags: added: artful trusty xenial zesty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers